#property copyright "Copyright  2009, ichi360.com"
#property link      "http://www.ichi360.com"

//#property indicator_chart_window
#property indicator_separate_window
extern int TenkanSen = 9;
extern int KijunSen = 26;
extern int SenkoSpan = 52;
extern int TextOffSetFromRight = 2;
extern int TextOffSetFromTop = 0;
extern color TextColor = DimGray;
extern color BullishTextColor = Blue;
extern color BearishTextColor = Red;
extern color FlatTextColor = Gold;
extern color PriceTextColor = SeaGreen;

int init() {
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   string ls_unused_0;
   switch (Period()) {
   case PERIOD_M1:
      ls_unused_0 = "M1";
      break;
   case PERIOD_M5:
      ls_unused_0 = "M5";
      break;
   case PERIOD_M15:
      ls_unused_0 = "M15";
      break;
   case PERIOD_M30:
      ls_unused_0 = "M30";
      break;
   case PERIOD_H1:
      ls_unused_0 = "H1";
      break;
   case PERIOD_H4:
      ls_unused_0 = "H4";
      break;
   case PERIOD_D1:
      ls_unused_0 = "D1";
      break;
   case PERIOD_W1:
      ls_unused_0 = "W1";
      break;
   case PERIOD_MN1:
      ls_unused_0 = "MN";
      break;
   default:
      ls_unused_0 = "240M";
   }
   double l_ichimoku_12 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_TENKANSEN, 0);
   double l_ichimoku_20 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_KIJUNSEN, 0);
   double l_ichimoku_28 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANA, 0);
   double l_ichimoku_36 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANB, 0);
   double l_ichimoku_44 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_CHINKOUSPAN, 26);
   double l_ichimoku_52 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_TENKANSEN, 0);
   double l_ichimoku_60 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_KIJUNSEN, 0);
   double l_ichimoku_68 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANA, 0);
   double l_ichimoku_76 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANB, 0);
   double l_ichimoku_84 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_CHINKOUSPAN, 26);
   double l_ichimoku_92 = iIchimoku(NULL, PERIOD_D1, TenkanSen, KijunSen, SenkoSpan, MODE_TENKANSEN, 0);
   double l_ichimoku_100 = iIchimoku(NULL, PERIOD_D1, TenkanSen, KijunSen, SenkoSpan, MODE_KIJUNSEN, 0);
   double l_ichimoku_108 = iIchimoku(NULL, PERIOD_D1, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANA, 0);
   double l_ichimoku_116 = iIchimoku(NULL, PERIOD_D1, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANB, 0);
   double l_ichimoku_124 = iIchimoku(NULL, PERIOD_D1, TenkanSen, KijunSen, SenkoSpan, MODE_CHINKOUSPAN, 26);
   double l_ichimoku_132 = iIchimoku(NULL, PERIOD_W1, TenkanSen, KijunSen, SenkoSpan, MODE_TENKANSEN, 0);
   double l_ichimoku_140 = iIchimoku(NULL, PERIOD_W1, TenkanSen, KijunSen, SenkoSpan, MODE_KIJUNSEN, 0);
   double l_ichimoku_148 = iIchimoku(NULL, PERIOD_W1, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANA, 0);
   double l_ichimoku_156 = iIchimoku(NULL, PERIOD_W1, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANB, 0);
   double l_ichimoku_164 = iIchimoku(NULL, PERIOD_W1, TenkanSen, KijunSen, SenkoSpan, MODE_CHINKOUSPAN, 26);
   int li_172 = 232;
   int li_176 = 232;
   int li_180 = 232;
   int li_184 = 232;
   color l_color_188 = FlatTextColor;
   color l_color_192 = FlatTextColor;
   color l_color_196 = FlatTextColor;
   color l_color_200 = FlatTextColor;
   if (l_ichimoku_12 > l_ichimoku_20) {
      li_172 = 233;
      l_color_188 = BullishTextColor;
   }
   if (l_ichimoku_12 < l_ichimoku_20) {
      li_172 = 234;
      l_color_188 = BearishTextColor;
   }
   if (l_ichimoku_52 > l_ichimoku_60) {
      li_176 = 233;
      l_color_192 = BullishTextColor;
   }
   if (l_ichimoku_52 < l_ichimoku_60) {
      li_176 = 234;
      l_color_192 = BearishTextColor;
   }
   if (l_ichimoku_92 > l_ichimoku_100) {
      li_180 = 233;
      l_color_196 = BullishTextColor;
   }
   if (l_ichimoku_92 < l_ichimoku_100) {
      li_180 = 234;
      l_color_196 = BearishTextColor;
   }
   if (l_ichimoku_132 > l_ichimoku_140) {
      li_184 = 233;
      l_color_200 = BullishTextColor;
   }
   if (l_ichimoku_132 < l_ichimoku_140) {
      li_184 = 234;
      l_color_200 = BearishTextColor;
   }
   int li_204 = 232;
   int li_208 = 232;
   int li_212 = 232;
   int li_216 = 232;
   color l_color_220 = FlatTextColor;
   color l_color_224 = FlatTextColor;
   color l_color_228 = FlatTextColor;
   color l_color_232 = FlatTextColor;
   if (Close[0] > l_ichimoku_28 && Close[0] > l_ichimoku_36) {
      li_204 = 233;
      l_color_220 = BullishTextColor;
   }
   if (Close[0] < l_ichimoku_28 && Close[0] < l_ichimoku_36) {
      li_204 = 234;
      l_color_220 = BearishTextColor;
   }
   if (Close[0] > l_ichimoku_28 && Close[0] < l_ichimoku_36) {
      li_204 = 232;
      l_color_220 = FlatTextColor;
   }
   if (Close[0] < l_ichimoku_28 && Close[0] > l_ichimoku_36) {
      li_204 = 232;
      l_color_220 = FlatTextColor;
   }
   if (Close[0] > l_ichimoku_68 && Close[0] > l_ichimoku_76) {
      li_208 = 233;
      l_color_224 = BullishTextColor;
   }
   if (Close[0] < l_ichimoku_68 && Close[0] < l_ichimoku_76) {
      li_208 = 234;
      l_color_224 = BearishTextColor;
   }
   if (Close[0] > l_ichimoku_68 && Close[0] < l_ichimoku_76) {
      li_208 = 232;
      l_color_224 = FlatTextColor;
   }
   if (Close[0] < l_ichimoku_68 && Close[0] > l_ichimoku_76) {
      li_208 = 232;
      l_color_224 = FlatTextColor;
   }
   if (Close[0] > l_ichimoku_108 && Close[0] > l_ichimoku_116) {
      li_212 = 233;
      l_color_228 = BullishTextColor;
   }
   if (Close[0] < l_ichimoku_108 && Close[0] < l_ichimoku_116) {
      li_212 = 234;
      l_color_228 = BearishTextColor;
   }
   if (Close[0] > l_ichimoku_108 && Close[0] < l_ichimoku_116) {
      li_212 = 232;
      l_color_228 = FlatTextColor;
   }
   if (Close[0] < l_ichimoku_108 && Close[0] > l_ichimoku_116) {
      li_212 = 232;
      l_color_228 = FlatTextColor;
   }
   if (Close[0] > l_ichimoku_148 && Close[0] > l_ichimoku_156) {
      li_216 = 233;
      l_color_232 = BullishTextColor;
   }
   if (Close[0] < l_ichimoku_148 && Close[0] < l_ichimoku_156) {
      li_216 = 234;
      l_color_232 = BearishTextColor;
   }
   if (Close[0] > l_ichimoku_148 && Close[0] < l_ichimoku_156) {
      li_216 = 232;
      l_color_232 = FlatTextColor;
   }
   if (Close[0] < l_ichimoku_148 && Close[0] > l_ichimoku_156) {
      li_216 = 232;
      l_color_232 = FlatTextColor;
   }
   int li_236 = 232;
   int li_240 = 232;
   int li_244 = 232;
   int li_248 = 232;
   color l_color_252 = FlatTextColor;
   color l_color_256 = FlatTextColor;
   color l_color_260 = FlatTextColor;
   color l_color_264 = FlatTextColor;
   if (l_ichimoku_44 > iClose(NULL, PERIOD_H1, KijunSen)) {
      li_236 = 233;
      l_color_252 = BullishTextColor;
   }
   if (l_ichimoku_44 < iClose(NULL, PERIOD_H1, KijunSen)) {
      li_236 = 234;
      l_color_252 = BearishTextColor;
   }
   if (l_ichimoku_84 > iClose(NULL, PERIOD_H4, KijunSen)) {
      li_240 = 233;
      l_color_256 = BullishTextColor;
   }
   if (l_ichimoku_84 < iClose(NULL, PERIOD_H4, KijunSen)) {
      li_240 = 234;
      l_color_256 = BearishTextColor;
   }
   if (l_ichimoku_124 > iClose(NULL, PERIOD_D1, KijunSen)) {
      li_244 = 233;
      l_color_260 = BullishTextColor;
   }
   if (l_ichimoku_124 < iClose(NULL, PERIOD_D1, KijunSen)) {
      li_244 = 234;
      l_color_260 = BearishTextColor;
   }
   if (l_ichimoku_164 > iClose(NULL, PERIOD_W1, KijunSen)) {
      li_248 = 233;
      l_color_264 = BullishTextColor;
   }
   if (l_ichimoku_164 < iClose(NULL, PERIOD_W1, KijunSen)) {
      li_248 = 234;
      l_color_264 = BearishTextColor;
   }
   int li_268 = 232;
   int li_272 = 232;
   int li_276 = 232;
   int li_280 = 232;
   color l_color_284 = FlatTextColor;
   color l_color_288 = FlatTextColor;
   color l_color_292 = FlatTextColor;
   color l_color_296 = FlatTextColor;
   if (Close[0] > l_ichimoku_20) {
      li_268 = 233;
      l_color_284 = BullishTextColor;
   }
   if (Close[0] < l_ichimoku_20) {
      li_268 = 234;
      l_color_284 = BearishTextColor;
   }
   if (Close[0] > l_ichimoku_60) {
      li_272 = 233;
      l_color_288 = BullishTextColor;
   }
   if (Close[0] < l_ichimoku_60) {
      li_272 = 234;
      l_color_288 = BearishTextColor;
   }
   if (Close[0] > l_ichimoku_100) {
      li_276 = 233;
      l_color_292 = BullishTextColor;
   }
   if (Close[0] < l_ichimoku_100) {
      li_276 = 234;
      l_color_292 = BearishTextColor;
   }
   if (Close[0] > l_ichimoku_140) {
      li_280 = 233;
      l_color_296 = BullishTextColor;
   }
   if (Close[0] < l_ichimoku_140) {
      li_280 = 234;
      l_color_296 = BearishTextColor;
   }
   ObjectDelete("txtMonitor_1");
   ObjectDelete("txtMonitor_2");
   ObjectDelete("txtMonitor_3");
   ObjectDelete("txtMonitor_4");
   ObjectDelete("txt1H_1");
   ObjectDelete("txt1H_2");
   ObjectDelete("txt1H_3");
   ObjectDelete("txt1H_4");
   ObjectDelete("txt1H_5");
   ObjectDelete("txt4H_1");
   ObjectDelete("txt4H_2");
   ObjectDelete("txt4H_3");
   ObjectDelete("txt4H_4");
   ObjectDelete("txt4H_5");
   ObjectDelete("txt1D_1");
   ObjectDelete("txt1D_2");
   ObjectDelete("txt1D_3");
   ObjectDelete("txt1D_4");
   ObjectDelete("txt1D_5");
   ObjectDelete("txt1W_1");
   ObjectDelete("txt1W_2");
   ObjectDelete("txt1W_3");
   ObjectDelete("txt1W_4");
   ObjectDelete("txt1W_5");
   ObjectCreate("txtMonitor_1", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txtMonitor_1", OBJPROP_CORNER, 1);
   ObjectSet("txtMonitor_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 45);
   ObjectSet("txtMonitor_1", OBJPROP_XDISTANCE, TextOffSetFromRight);
   ObjectCreate("txtMonitor_2", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txtMonitor_2", OBJPROP_CORNER, 1);
   ObjectSet("txtMonitor_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 50);
   ObjectSet("txtMonitor_2", OBJPROP_XDISTANCE, TextOffSetFromRight);
   ObjectCreate("txtMonitor_3", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txtMonitor_3", OBJPROP_CORNER, 1);
   ObjectSet("txtMonitor_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 60);
   ObjectSet("txtMonitor_3", OBJPROP_XDISTANCE, TextOffSetFromRight);
   ObjectCreate("txt1H_1", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1H_1", OBJPROP_CORNER, 1);
   ObjectSet("txt1H_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt1H_1", OBJPROP_XDISTANCE, TextOffSetFromRight + 120);
   ObjectCreate("txt1H_2", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1H_2", OBJPROP_CORNER, 1);
   ObjectSet("txt1H_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt1H_2", OBJPROP_XDISTANCE, TextOffSetFromRight + 94);
   ObjectCreate("txt1H_3", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1H_3", OBJPROP_CORNER, 1);
   ObjectSet("txt1H_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt1H_3", OBJPROP_XDISTANCE, TextOffSetFromRight + 68);
   ObjectCreate("txt1H_4", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1H_4", OBJPROP_CORNER, 1);
   ObjectSet("txt1H_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt1H_4", OBJPROP_XDISTANCE, TextOffSetFromRight + 34);
   ObjectCreate("txt1H_5", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1H_5", OBJPROP_CORNER, 1);
   ObjectSet("txt1H_5", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt1H_5", OBJPROP_XDISTANCE, TextOffSetFromRight);
   ObjectCreate("txt4H_1", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt4H_1", OBJPROP_CORNER, 1);
   ObjectSet("txt4H_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt4H_1", OBJPROP_XDISTANCE, TextOffSetFromRight + 120);
   ObjectCreate("txt4H_2", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt4H_2", OBJPROP_CORNER, 1);
   ObjectSet("txt4H_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt4H_2", OBJPROP_XDISTANCE, TextOffSetFromRight + 94);
   ObjectCreate("txt4H_3", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt4H_3", OBJPROP_CORNER, 1);
   ObjectSet("txt4H_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt4H_3", OBJPROP_XDISTANCE, TextOffSetFromRight + 68);
   ObjectCreate("txt4H_4", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt4H_4", OBJPROP_CORNER, 1);
   ObjectSet("txt4H_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt4H_4", OBJPROP_XDISTANCE, TextOffSetFromRight + 34);
   ObjectCreate("txt4H_5", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt4H_5", OBJPROP_CORNER, 1);
   ObjectSet("txt4H_5", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt4H_5", OBJPROP_XDISTANCE, TextOffSetFromRight);
   ObjectCreate("txt1D_1", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1D_1", OBJPROP_CORNER, 1);
   ObjectSet("txt1D_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1D_1", OBJPROP_XDISTANCE, TextOffSetFromRight + 120);
   ObjectCreate("txt1D_2", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1D_2", OBJPROP_CORNER, 1);
   ObjectSet("txt1D_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1D_2", OBJPROP_XDISTANCE, TextOffSetFromRight + 94);
   ObjectCreate("txt1D_3", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1D_3", OBJPROP_CORNER, 1);
   ObjectSet("txt1D_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1D_3", OBJPROP_XDISTANCE, TextOffSetFromRight + 68);
   ObjectCreate("txt1D_4", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1D_4", OBJPROP_CORNER, 1);
   ObjectSet("txt1D_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1D_4", OBJPROP_XDISTANCE, TextOffSetFromRight + 34);
   ObjectCreate("txt1D_5", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1D_5", OBJPROP_CORNER, 1);
   ObjectSet("txt1D_5", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1D_5", OBJPROP_XDISTANCE, TextOffSetFromRight);
   ObjectCreate("txt1W_1", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1W_1", OBJPROP_CORNER, 1);
   ObjectSet("txt1W_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt1W_1", OBJPROP_XDISTANCE, TextOffSetFromRight + 120);
   ObjectCreate("txt1W_2", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1W_2", OBJPROP_CORNER, 1);
   ObjectSet("txt1W_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt1W_2", OBJPROP_XDISTANCE, TextOffSetFromRight + 94);
   ObjectCreate("txt1W_3", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1W_3", OBJPROP_CORNER, 1);
   ObjectSet("txt1W_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt1W_3", OBJPROP_XDISTANCE, TextOffSetFromRight + 68);
   ObjectCreate("txt1W_4", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1W_4", OBJPROP_CORNER, 1);
   ObjectSet("txt1W_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt1W_4", OBJPROP_XDISTANCE, TextOffSetFromRight + 34);
   ObjectCreate("txt1W_5", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txt1W_5", OBJPROP_CORNER, 1);
   ObjectSet("txt1W_5", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt1W_5", OBJPROP_XDISTANCE, TextOffSetFromRight);
   ObjectCreate("txtMonitor_4", OBJ_LABEL, WindowFind("TSR"), 0, 0);
   ObjectSet("txtMonitor_4", OBJPROP_CORNER, 1);
   ObjectSet("txtMonitor_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 145);
   ObjectSet("txtMonitor_4", OBJPROP_XDISTANCE, TextOffSetFromRight);
  ObjectSetText("txtMonitor_1", "", 7, "Tahoma", TextColor);
 ObjectSetText("txtMonitor_2", "", 8, "Arial", TextColor);
   ObjectSetText("txtMonitor_3", "PA   P/KS   TS/KS    CS", 8, "Tahoma", TextColor);
 ObjectSetText("txt1H_1", "H4", 8, "Tahoma", TextColor);
   ObjectSetText("txt1H_2", CharToStr(li_204), 11, "Wingdings", l_color_220);
   ObjectSetText("txt1H_3", CharToStr(li_268), 11, "Wingdings", l_color_284);
   ObjectSetText("txt1H_4", CharToStr(li_172), 11, "Wingdings", l_color_188);
   ObjectSetText("txt1H_5", CharToStr(li_236), 11, "Wingdings", l_color_252);
 ObjectSetText("txt4H_1", "D1", 8, "Tahoma", TextColor);
   ObjectSetText("txt4H_2", CharToStr(li_208), 11, "Wingdings", l_color_224);
   ObjectSetText("txt4H_3", CharToStr(li_272), 11, "Wingdings", l_color_288);
   ObjectSetText("txt4H_4", CharToStr(li_176), 11, "Wingdings", l_color_192);
   ObjectSetText("txt4H_5", CharToStr(li_240), 11, "Wingdings", l_color_256);
  ObjectSetText("txt1D_1","W1", 8, "Tahoma", TextColor);
   ObjectSetText("txt1D_2", CharToStr(li_212), 11, "Wingdings", l_color_228);
   ObjectSetText("txt1D_3", CharToStr(li_276), 11, "Wingdings", l_color_292);
   ObjectSetText("txt1D_4", CharToStr(li_180), 11, "Wingdings", l_color_196);
   ObjectSetText("txt1D_5", CharToStr(li_244), 11, "Wingdings", l_color_260);
   ObjectSetText("txt1W_1", "M1", 8, "Tahoma", TextColor);
   ObjectSetText("txt1W_2", CharToStr(li_216), 11, "Wingdings", l_color_232);
   ObjectSetText("txt1W_3", CharToStr(li_280), 11, "Wingdings", l_color_296);
   ObjectSetText("txt1W_4", CharToStr(li_184), 11, "Wingdings", l_color_200);
   ObjectSetText("txt1W_5", CharToStr(li_248), 11, "Wingdings", l_color_264);
  ObjectSetText("txtMonitor_4", "", 8, "Arial", TextColor);
   return (0);
}